Get Template Version
curl --request GET \
--url https://api.example.com/task-templates/{template_id}/versions/{version_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/task-templates/{template_id}/versions/{version_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/task-templates/{template_id}/versions/{version_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instruction": "<string>",
"schedule_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"parent_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"assignee": "<string>",
"context": {
"entities": [],
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_directory": "<string>",
"workspace_ref": "<string>",
"visible_items": [],
"selected_names": []
},
"model": "truestate",
"effort": "<string>",
"cron_schedule": "<string>",
"schedule_start_at": "2023-11-07T05:31:56Z",
"notification_settings": [
{
"method": "EMAIL",
"user_ids": [
"<string>"
],
"member_ids": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}task-templates
Get Template Version
GET
/
task-templates
/
{template_id}
/
versions
/
{version_id}
/
Get Template Version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Show child attributes
Show child attributes
Available options:
truestate, gemini-embedding-001, gemini-2.0-flash, gemini-2.5-flash, gemini-2.5-flash-lite, gemini-2.5-pro, gemini-3-pro-preview, gemini-3-flash-preview, gemini-3.5-flash, gemini-3.5-flash-lite, gemini-3.7-flash, gpt-4.1, gpt-realtime-2.1, gpt-realtime-2.1-mini, gpt-realtime, gpt-4o-mini-transcribe, gpt-5-2025-08-07, gpt-5-mini-2025-08-07, gpt-5-nano-2025-08-07, gpt-5.1-2025-11-13, gpt-5.2-2025-12-11, gpt-5.5, gpt-5.4, gpt-5.4-mini, gpt-5.6-sol, gpt-5.6-terra, gpt-5.6-luna, o4-mini-2025-04-16, claude-3-5-sonnet-latest, claude-3-5-haiku-latest, claude-opus-4-8, claude-opus-4-7, claude-sonnet-5, claude-fable-5, claude-haiku-4-5, grok-beta, grok-3, grok-3-mini, grok-4, grok-4.5, z-ai/glm-5.2, moonshotai/kimi-k2-instruct-0905, openai/gpt-oss-120b, whisper-1 - EmailNotification
- SlackNotification
Show child attributes
Show child attributes